--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Object representing a method call site. It corresponds to a part of the callstack starting from the context that called the method.
constants: []

full_name: Rcov::CallSiteAnalyzer::CallSite
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: calling_class
- !ruby/object:RI::MethodSummary 
  name: calling_method
- !ruby/object:RI::MethodSummary 
  name: depth
- !ruby/object:RI::MethodSummary 
  name: file
- !ruby/object:RI::MethodSummary 
  name: line
name: CallSite
superclass: Struct.new(:backtrace)
